Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class SystemException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--org.omg.CORBA.SystemException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  BAD_CONTEXT, BAD_INV_ORDER, BAD_OPERATION, BAD_PARAM, BAD_TYPECODE, COMM_FAILURE, DATA_CONVERSION, FREE_MEM, IMP_LIMIT, IndirectionException, INITIALIZE, INTERNAL, INTF_REPOS, INV_FLAG, INV_IDENT, INV_OBJREF, INV_POLICY, INVALID_TRANSACTION, MARSHAL, NO_IMPLEMENT, NO_MEMORY, NO_PERMISSION, NO_RESOURCES, NO_RESPONSE, OBJ_ADAPTER, OBJECT_NOT_EXIST, PERSIST_STORE, TRANSACTION_REQUIRED, TRANSACTION_ROLLEDBACK, TRANSIENT, UNKNOWN, UnknownException

public abstract class SystemException
extends RuntimeException

The root class for all CORBA standard exceptions. These exceptions may be thrown as a result of any CORBA operation invocation and may also be returned by many standard CORBA API methods. The standard exceptions contain a minor code, allowing more detailed specification, and a completion status. This class is subclassed to generate each one of the set of standard ORB exceptions. `SystemException` extends `java.lang.RuntimeException`; thus none of the `SystemException` exceptions need to be declared in signatures of the Java methods mapped from operations in IDL interfaces.

See Also:
  documentation on Java IDL exceptions, Serialized Form

Field Summary
`CompletionStatus` | `completed` The status of the operation that threw this exception.
`int` | `minor` The CORBA Exception minor code.

Constructor Summary
`protected` | `SystemException(String reason, int minor, CompletionStatus completed)` Constructs a `SystemException` exception with the specified detail message, minor code, and completion status.

Method Summary
`String` | `toString()` Converts this exception to a representative string.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### minor

    public int minor

  The CORBA Exception minor code.

### completed

    public CompletionStatus completed

  The status of the operation that threw this exception.

Constructor Detail

### SystemException

    protected SystemException(String reason,
                              int minor,
                              CompletionStatus completed)

  Constructs a `SystemException` exception with the specified detail message, minor code, and completion status. A detail message is a String that describes this particular exception.
  Parameters:
    `reason` - the String containing a detail message
    `minor` - the minor code
    `completed` - the completion status

Method Detail

### toString

    public String toString()

  Converts this exception to a representative string.
  Overrides:
    `toString` in class `Throwable`
  Following copied from class: `java.lang.Throwable`
  Returns:
    a string representation of this `Throwable`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.